package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.*;
import com.zcloud.fire.check.dto.clientobject.AppFireCheckRecordCO;
import com.zcloud.fire.check.dto.clientobject.FireCheckPointListCO;
import com.zcloud.fire.check.dto.clientobject.FireCheckRecordPointCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:10:20
 */
public interface FireCheckRecordPointServiceI {
    PageResponse<FireCheckRecordPointCO> listPage(FireCheckRecordPointPageQry qry);

    SingleResponse<FireCheckRecordPointCO> add(FireCheckRecordPointAddCmd cmd);

    void edit(FireCheckRecordPointUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    AppFireCheckRecordCO getCheckRecordPointList(CheckRecordPointListQry qry);

    FireCheckRecordPointCO saveCheckRecordPoint(AppCheckRecordPointAddCmd appCheckRecordPointAddCmd);
}

